Skip to content

getSupplierInteraction

READ

Get supplier interaction.

POST /api/v1/purchasing/getSupplierInteraction
curl -X POST '<your-host>/api/v1/purchasing/getSupplierInteraction' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "opportunityId": "string"
  }'
Response
{
  "id": "string",
  "companyId": "string",
  "purchasingRfq": {
    "assignee": "string",
    "companyId": "string",
    "createdAt": "string",
    "createdBy": "string",
    "customFields": "…",
    "employeeId": "string",
    "expirationDate": "string",
    "favorite": true,
    "id": "string",
    "internalNotes": "…",
    "locationId": "string",
    "locationName": "string",
    "notes": "…",
    "revisionId": 0,
    "rfqDate": "string",
    "rfqId": "string",
    "status": "Closed",
    "supplierCount": 0,
    "supplierIds": [
      "string"
    ],
    "updatedAt": "string",
    "updatedBy": "string"
  },
  "supplierQuotes": [
    {
      "assignee": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "currencyCode": "string",
      "customFields": "…",
      "exchangeRate": 0,
      "exchangeRateUpdatedAt": "string",
      "expirationDate": "string",
      "externalLinkId": "string",
      "externalNotes": "…",
      "id": "string",
      "internalNotes": "…",
      "itemType": "Part",
      "quotedDate": "string",
      "revisionId": 0,
      "status": "Cancelled",
      "supplierContactId": "string",
      "supplierId": "string",
      "supplierInteractionId": "string",
      "supplierLocationId": "string",
      "supplierQuoteId": "string",
      "supplierQuoteType": "Purchase",
      "supplierReference": "string",
      "tags": [
        "string"
      ],
      "thumbnailPath": "string",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "purchaseOrders": [
    {
      "accountManagerEmail": "string",
      "accountManagerFullName": "string",
      "accountManagerPhone": "string",
      "assignee": "string",
      "assigneeEmail": "string",
      "assigneeFullName": "string",
      "assigneePhone": "string",
      "closedAt": "string",
      "closedBy": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "createdByEmail": "string",
      "createdByFullName": "string",
      "createdByPhone": "string",
      "currencyCode": "string",
      "customFields": "…",
      "deliveryDate": "string",
      "dropShipment": true,
      "exchangeRate": 0,
      "exchangeRateUpdatedAt": "string",
      "externalNotes": "…",
      "id": "string",
      "incoterm": "EXW",
      "incotermLocation": "string",
      "internalNotes": "…",
      "itemType": "Part",
      "jobId": "string",
      "jobReadableId": "string",
      "locationId": "string",
      "orderDate": "string",
      "orderTotal": 0,
      "paymentTermId": "string",
      "purchaseOrderId": "string",
      "purchaseOrderType": "Purchase",
      "receiptPromisedDate": "string",
      "receiptRequestedDate": "string",
      "receivableQuantity": 0,
      "receivedQuantity": 0,
      "revisionId": 0,
      "shippingMethodId": "string",
      "shippingTermId": "string",
      "status": "Closed",
      "supplierContactId": "string",
      "supplierId": "string",
      "supplierInteractionId": "string",
      "supplierLocationId": "string",
      "supplierReference": "string",
      "supplierShippingCost": 0,
      "tags": [
        "string"
      ],
      "thumbnailPath": "string",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "purchaseInvoices": [
    {
      "assignee": "string",
      "balance": 0,
      "baseStatus": "Open",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "currencyCode": "string",
      "customFields": "…",
      "dateDue": "string",
      "dateIssued": "string",
      "datePaid": "string",
      "exchangeRate": 0,
      "exchangeRateUpdatedAt": "string",
      "id": "string",
      "internalNotes": "…",
      "invoiceId": "string",
      "invoiceSupplierContactId": "string",
      "invoiceSupplierId": "string",
      "invoiceSupplierLocationId": "string",
      "itemType": "Part",
      "locationId": "string",
      "orderTotal": 0,
      "paymentTermId": "string",
      "paymentTermName": "string",
      "postingDate": "string",
      "status": "string",
      "subtotal": 0,
      "supplierId": "string",
      "supplierInteractionId": "string",
      "supplierReference": "string",
      "thumbnailPath": "string",
      "totalAmount": 0,
      "totalDiscount": 0,
      "totalTax": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "opportunityId": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "opportunityId"
  ]
}